Bug 1418118 - Binding null values triggers ORA-24816 error in OCI8 module
Summary: Binding null values triggers ORA-24816 error in OCI8 module
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: rh-php70
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: alpha
: 2.4
Assignee: Remi Collet
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 23:09 UTC by David Mulford
Modified: 2020-03-11 15:42 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:16:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
PHP Bug Tracker 72524 0 None None None 2017-01-31 23:09:35 UTC

Description David Mulford 2017-01-31 23:09:36 UTC
Description of problem:
Binding null values to a LONG/LOB type gives the following error

>> ORA-24816: Expanded non LONG bind data supplied after actual LONG or LOB column

Version-Release number of selected component (if applicable):
OCI8 2.1.1

How reproducible:
Always

Steps to Reproduce:
Test script available in linked PHP bug

Additional info:
PHP bug: https://bugs.php.net/bug.php?id=72524

Patch available there as well

Comment 1 Remi Collet 2017-02-01 07:59:38 UTC
Sorry but the oci8 extension is not provided in RHEL or RHSCL.

Comment 3 Remi Collet 2017-02-01 14:13:24 UTC
ext/oci8 is part of PHP upstream sources, but is not build nor distributed by us.

Comment 4 David Mulford 2017-02-01 14:16:52 UTC
Understood. Thanks again Remi.

I'll go ahead and close the bug.


Note You need to log in before you can comment on or make changes to this bug.